libmwaw_applepict1 Namespace Reference

Internal and low level: generic tools about Mac Pict1.0 picture. More...

## Classes

class | Region
| Internal and low level: class used to read/store a picture region. More...
struct | Bitmap
| Internal and low level: a class used to read pack/unpack black-white bitmap. More...
struct | ColorTable
| Internal and low level: a class used to read a color map in a Apple Pict. More...
struct | Pixmap
| Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...
struct | Pixpattern
| Internal and low level: a class used to read pack/unpack color pixmap (version 2) More...
struct | Value
| Internal and low level: a class used to read and store all possible value. More...
struct | OpCode
| Internal and low level: a class to define each opcode and their arguments and read their data. More...
class | PictParser
| internal and low level: map opcode id -> OpCode More...

## Enumerations

enum | DataType { WP_NONE, WP_BYTE, WP_UBYTE, WP_INT, WP_UINT, WP_UFIXED, WP_COLOR, WP_PATTERN, WP_POINT, WP_POINTBYTE, WP_POINTUBYTE, WP_POLY, WP_RECT, WP_REGION, WP_TEXT, WP_LTEXT, WP_BITMAP, WP_RBITMAP, WP_PBITMAP, WP_RPBITMAP, WP_UNKNOWN, WP_CCOLOR, WP_CPATTERN, WP_CBITMAP, WP_CRBITMAP, WP_QUICKTIME }
| Internal and low level: the different types of arguments. More...

## Variables

static OpCode const | s_listCodes []
| internal and low level: list of known opcodes More...
static PictParser | s_parser
| the map id -> opcode More...

## Detailed Description

Internal and low level: generic tools about Mac Pict1.0 picture.

This regroups some functions to parse them and to convert them in Pict2.0 picture

## Enumeration Type Documentation

enum libmwaw_applepict1::DataType

Internal and low level: the different types of arguments.

By default, data are signed, excepted if we add U to indicate that they are unsigned,

- WP_PATTERN: 8x8bits which defined a 8x8 picture (black or white)
- WP_COLOR: 3 bits which defined r,g,b (checkme)
- for BITMAP, R indicates Region bitmap while P indicates Packed bitmap

Pict2 type

- WP_CCOLOR, WP_CPATTERN, WP_CBITMAP, WP_CRBITMAP, WP_QUICKTIME

Enumerator
WP_NONE |
WP_BYTE |
WP_UBYTE |
WP_INT |
WP_UINT |
WP_UFIXED |
WP_COLOR |
WP_PATTERN |
WP_POINT |
WP_POINTBYTE |
WP_POINTUBYTE |
WP_POLY |
WP_RECT |
WP_REGION |
WP_TEXT |
WP_LTEXT |
WP_BITMAP |
WP_RBITMAP |
WP_PBITMAP |
WP_RPBITMAP |
WP_UNKNOWN |
WP_CCOLOR |
WP_CPATTERN |
WP_CBITMAP |
WP_CRBITMAP |
WP_QUICKTIME |

## Variable Documentation

OpCode const libmwaw_applepict1::s_listCodes[]

static

internal and low level: list of known opcodes

Note
  codes 0x2c, 0x2e, 0xa5 are not standard opcodes, but I find them in some pictures

Referenced by libmwaw_applepict1::PictParser::PictParser(), and libmwaw_applepict2::PictParser::PictParser().

PictParser libmwaw_applepict1::s_parser

static

the map id -> opcode

Referenced by MWAWPictMac::convertPict1To2(), and MWAWPictMac::parsePict1().